NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Features.EditCrossSectionBuilder Class Reference

Represents a NXOpen.Features.EditCrossSection builder More...

Inheritance diagram for NXOpen.Features.EditCrossSectionBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void ChangeSectionCurve ()
 Change the section curves. More...
 
unsafe void CreateSectionCurve ()
 Create the section curves. More...
 
unsafe void DeleteSectionSketch (NXOpen.Sketch sectionSketch)
 Remove the curve sketch More...
 
unsafe void IncludeBlendFaces ()
 Include or exclude the blends. More...
 
unsafe void IncludeHoleFaces ()
 Include or exclude the holes. More...
 
unsafe void RecreateSectionCurve ()
 Recreate the section curves. More...
 
unsafe void RemoveData ()
 Remove the section data. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.ScCollector Face [get]
 Returns the face collector. More...
 
unsafe
NXOpen.GeometricUtilities.FaceChangeOverflowBehavior 
FaceChangeOverflowBehavior [get]
 Returns the face change overflow behavior. More...
 
unsafe bool IncludeBlends [get, set]
 Returns or sets the include blends setting. More...
 
unsafe bool IncludeHoles [get, set]
 Returns or sets the include holes setting. More...
 
unsafe NXOpen.SelectISurface Plane [get]
 Returns the select plane. More...
 
unsafe NXOpen.Sketch SectionSketch [get, set]
 Returns or sets the sketch which holds the section curves More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.EditCrossSection builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateEditCrossSectionBuilder

Default values.

Property Value

IncludeBlends

0

IncludeHoles

1

Created in NX8.0.0

Member Function Documentation

unsafe void NXOpen.Features.EditCrossSectionBuilder.ChangeSectionCurve ( )
inline

Change the section curves.

Created in NX8.0.0

License requirements: None.

unsafe void NXOpen.Features.EditCrossSectionBuilder.CreateSectionCurve ( )
inline

Create the section curves.

Created in NX8.0.0

License requirements: None.

unsafe void NXOpen.Features.EditCrossSectionBuilder.DeleteSectionSketch ( NXOpen.Sketch  sectionSketch)
inline

Remove the curve sketch

Created in NX9.0.0

License requirements: None.

Parameters
sectionSketch
unsafe void NXOpen.Features.EditCrossSectionBuilder.IncludeBlendFaces ( )
inline

Include or exclude the blends.

Created in NX8.0.0

License requirements: None.

unsafe void NXOpen.Features.EditCrossSectionBuilder.IncludeHoleFaces ( )
inline

Include or exclude the holes.

Created in NX8.0.0

License requirements: None.

unsafe void NXOpen.Features.EditCrossSectionBuilder.RecreateSectionCurve ( )
inline

Recreate the section curves.

Created in NX8.0.0

License requirements: None.

unsafe void NXOpen.Features.EditCrossSectionBuilder.RemoveData ( )
inline

Remove the section data.

Created in NX8.5.0

License requirements: None.

Property Documentation

unsafe NXOpen.ScCollector NXOpen.Features.EditCrossSectionBuilder.Face
get

Returns the face collector.

This holds all the input faces to intersect.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.FaceChangeOverflowBehavior NXOpen.Features.EditCrossSectionBuilder.FaceChangeOverflowBehavior
get

Returns the face change overflow behavior.

Please refer NXOpen.GeometricUtilities.FaceChangeOverflowBehavior for details.

Created in NX8.0.0

License requirements: None.

unsafe bool NXOpen.Features.EditCrossSectionBuilder.IncludeBlends
getset

Returns or sets the include blends setting.

True indicates a blend face participates in the section and is represented by a section curve.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.Features.EditCrossSectionBuilder.IncludeHoles
getset

Returns or sets the include holes setting.

True indicates an interior boundary participates in the section and is represented in the section curve set.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.SelectISurface NXOpen.Features.EditCrossSectionBuilder.Plane
get

Returns the select plane.

This is the plane to intersect.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Sketch NXOpen.Features.EditCrossSectionBuilder.SectionSketch
getset

Returns or sets the sketch which holds the section curves

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.